Автор Тема: Debian squeeze + ATI 4200 video card  (Прочетена 6364 пъти)

bonbon

  • Напреднали
  • *****
  • Публикации: 112
  • Distribution: Debian
  • Window Manager: Gnome
    • Профил
    • WWW
Re: Debian squeeze + ATI 4200 video card
« Отговор #15 -: Mar 19, 2010, 11:21 »
Днес и аз пробвах да си обновя драйвера до 10.2 но не успях, но си сложих 9.2 без проблем.

Поддържа и твоята карта, така че пробвай с него.
« Последна редакция: Mar 19, 2010, 17:25 от bonbon »
Активен

tolostoi

  • Напреднали
  • *****
  • Публикации: 1337
  • Distribution: Ubuntu
  • Window Manager: Unity
  • левел: авераж :)
    • Профил
Re: Debian squeeze + ATI 4200 video card
« Отговор #16 -: Mar 19, 2010, 15:02 »
sgfxi трябва да ги сложи сам, затова е толкова як
  ;D  ще ги сложи някога, ама не тоя път, понеже не се знае дали той изобщо е направил пакет с хедърите (нали сам е компилирал ядрото) а 100 не ги е качил в дебиан репото, където sgfxi ще ги търси  ;D
Активен


... в Столичен инспекторат една година след миграцията, продължават да работят под Linux. Което, май прави "експеримента" успешен
by entusiast

chaos

  • Напреднали
  • *****
  • Публикации: 17
  • Distribution: Debian lenny
  • Window Manager: KDE 3.5.10
    • Профил
Re: Debian squeeze + ATI 4200 video card
« Отговор #17 -: Mar 19, 2010, 15:49 »
Ок... направил следното:
1. компилирал съм си ядрото, ето ми го и скрипчето:
Код:
cd /usr/src/linux-2.6.33
make menuconfig
make-kpkg clean
make-kpkg --initrd --revision myrev01 kernel_image && make-kpkg --initrd --revision myrev01 kernel_headers
cd ..
dpkg -i *.deb
update-initramfs -c -k version_kernel
update-grub
2. прабвах sfglrx и не работи: всъщност той прави всичко автоматично което аз ръчно направих: изтегля последните драйвери от АТИ сайта и го инсталира. Накрай след рестарт на машинат довърши нещата инсталира и зареди fglrx модула. Но каза че нещо не е както трябва и няма да работи задоволително. След опит да се зареди Х-а изпищя че fglrx_dev.so.1 (мисле че така беше) файла е фалирал при зареждане. Аз още вчера стигнах то тук! А от АТИ казват че новите драйвери 10.4 ще оправят проблема така че нищо ново под слънцето то тогава.
« Последна редакция: Mar 19, 2010, 15:53 от chaos »
Активен

bop_bop_mara

  • Напреднали
  • *****
  • Публикации: 2433
  • Distribution: Debian Testing
  • Window Manager: LXDE
  • Cute and cuddly
    • Профил
Re: Debian squeeze + ATI 4200 video card
« Отговор #18 -: Mar 19, 2010, 16:17 »
sgfxi трябва да ги сложи сам, затова е толкова як
  ;D  ще ги сложи някога, ама не тоя път, понеже не се знае дали той изобщо е направил пакет с хедърите (нали сам е компилирал ядрото) а 100 не ги е качил в дебиан репото, където sgfxi ще ги търси  ;D
Оу, верно  ::)
Активен

bonbon

  • Напреднали
  • *****
  • Публикации: 112
  • Distribution: Debian
  • Window Manager: Gnome
    • Профил
    • WWW
Re: Debian squeeze + ATI 4200 video card
« Отговор #19 -: Mar 21, 2010, 10:11 »
Погледни това
« Последна редакция: Mar 21, 2010, 10:21 от bonbon »
Активен

chaos

  • Напреднали
  • *****
  • Публикации: 17
  • Distribution: Debian lenny
  • Window Manager: KDE 3.5.10
    • Профил
Re: Debian squeeze + ATI 4200 video card
« Отговор #20 -: Mar 21, 2010, 16:09 »
Мда .. има напредък, но пак опрях до задъдена улица:
Код:
dpkg-shlibdeps: error: no dependency information found for /usr/lib/libatiuki.so.1 (used by debian/fglrx-driver/usr/lib/xorg/modules/linux/libfglrxdrm.so).
make: *** [binary] Error 9
dpkg-buildpackage: error: debian/rules binary gave error exit status 2
Пак ще поровя да видя за тази грешка. Мерси за насоката.

И така след кратък преглед установих грешката на тази статия - пишат за 86 а системата ми е амд64... след коригирането скрипта успешно създаде следните пакети:
Код:
fglrx-amdcccle_8.702-1_amd64.deb
fglrx-driver_8.702-1_amd64.deb
fglrx-driver-dev_8.702-1_amd64.deb
fglrx-kernel-src_8.702-1_amd64.deb
Но при опит да бъдат инсталирани и по специално  fglrx-driver_8.702-1_amd64.deb получих грешка:
Код:
dpkg -i fglrx-driver_8.702-1_amd64.deb
(Reading database ... 151019 files and directories currently installed.)
Unpacking fglrx-driver (from fglrx-driver_8.702-1_amd64.deb) ...
No diversion `diversion of /usr/lib/libGL.so.1.2 to /usr/share/fglrx/diversions/libGL.so.1.2 by fglrx-driver', none removed
Adding `diversion of /usr/lib/libGL.so.1.2 to /usr/lib/fglrx/diversions/libGL.so.1.2 by fglrx-driver'
Adding `diversion of /usr/lib/libGL.so.1 to /usr/lib/fglrx/diversions/libGL.so.1 by fglrx-driver'
mv: cannot stat `/emul/ia32-linux/usr/lib/libGL.so.1.2': No such file or directory
dpkg: error processing fglrx-driver_8.702-1_amd64.deb (--install):
 subprocess new pre-installation script returned error exit status 1
Removing `diversion of /usr/lib/libGL.so.1 to /usr/lib/fglrx/diversions/libGL.so.1 by fglrx-driver'
Removing `diversion of /usr/lib/libGL.so.1.2 to /usr/lib/fglrx/diversions/libGL.so.1.2 by fglrx-driver'
No diversion `diversion of /emul/ia32-linux/usr/lib/libGL.so.1 to /emul/ia32-linux/usr/lib/fglrx/diversions/libGL.so.1 by fglrx-driver', none removed
No diversion `diversion of /emul/ia32-linux/usr/lib/libGL.so.1.2 to /emul/ia32-linux/usr/lib/fglrx/diversions/libGL.so.1.2 by fglrx-driver', none removed
No diversion `diversion of /usr/lib/xorg/modules/extensions/libdri.so to /usr/lib/fglrx/diversions/libdri.so by fglrx-driver', none removed
Errors were encountered while processing:
 fglrx-driver_8.702-1_amd64.deb

Хмм .. някои с някакви идеи какво може да се направи по случая?
« Последна редакция: Mar 21, 2010, 16:59 от chaos »
Активен

bonbon

  • Напреднали
  • *****
  • Публикации: 112
  • Distribution: Debian
  • Window Manager: Gnome
    • Профил
    • WWW
Re: Debian squeeze + ATI 4200 video card
« Отговор #21 -: Mar 21, 2010, 20:33 »
Влез в директорията в която си разархивирал драйвера и си пусни инсталатора

sh ati-installer.sh 10.2 --install

При мене стане без проблем на amd64
Активен

chaos

  • Напреднали
  • *****
  • Публикации: 17
  • Distribution: Debian lenny
  • Window Manager: KDE 3.5.10
    • Профил
Re: Debian squeeze + ATI 4200 video card
« Отговор #22 -: Mar 23, 2010, 19:18 »
Такаааа ... с гордост мога да съобщя че проблема го оправих (след 3 дена денонощни главоблъсканици). До момента установих:
1. ати версия 10.2 не работи на Х сервер 1.7.5! Чакаме хората от Ати да измислят 10.4
2. fglrx драйвера не се инсталира в комбинация с ядро 2.6.33 /дава грешка че не може да намери файл които вече не е в състава на 2.6.33/
3. fglrx драйвера се инсталира адски трудно даже невъзможно ако не погледнеш тук-там някои форум като например че има пач за тази работа.:
http://www.phoronix.com/forums/showthread.php?t=22261&page=2
В този форум обясняват какви са стъпките.
Метода работи! При мен тръгна 3Д ускорението и Х сервъра и .... абе всичко е ОК!
пача: http://aur.archlinux.org/packages/catalyst/catalyst/fglrx-2.6.33.patch
стъпки:
Код:
cd unpacked_ati_directory
patch -p1 < ../fglrx.2.6.33.patch
sh ati-installer.sh . --install
/да се обърне внимание на точката преди опцията !!!

Благодаря на всички с предложенията!  [_]3
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
Проблем с video card MX 440
Настройка на хардуер
boby10 2 1940 Последна публикация Nov 26, 2008, 02:59
от foxb
Debian squeeze/sid - проблеми ?
Настройка на програми
inst 4 2452 Последна публикация Jun 20, 2009, 08:37
от aaaaaa
Не ще да се инсталва Debian testing - squeeze, netinstall CD
Настройка на хардуер
a_panov 6 2468 Последна публикация Sep 22, 2009, 01:14
от tolostoi
VMWARE Workstation 7 Debian Squeeze
Кошче
ROKO__ 7 3126 Последна публикация Dec 04, 2010, 17:16
от neter
update-rc.d и Debian Squeeze
Настройка на програми
d3v1ous 1 1752 Последна публикация Feb 07, 2011, 20:17
от trosho